
Redmine - Defect #6233

Time Track impossible if project identifier is numeric

2010-08-27 09:15 - Mortitia Adams

Status: Closed Start date: 2010-08-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.9.4

Description

If a project identifier is only numeric, the form for time track input crashes.

TypeError in Timelog#edit

Showing app/views/timelog/edit.rhtml where line #3 raised:

can't convert Fixnum into String

 (Full Stack attached)

Changed the identifier to a non-numeric value for this project in DB, then it worked.

History

#1 - 2010-09-13 21:19 - Mischa The Evil

- Status changed from New to Resolved

- Priority changed from High to Normal

- Resolution set to Cant reproduce

Mortitia Adams wrote:

If a project identifier is only numeric, [...]

 A project with a project identifier containing digits only should not be possible to create at first, since that is not supported. See 

source:/trunk/app/models/project.rb@4083#L73.

Mayb I ask how you created the project (or more specific: using which Redmine version) or did you migrated from another system?

#2 - 2010-10-02 01:23 - Mischa The Evil

- Status changed from Resolved to Closed

No feedback. Please re-open if needed.

#3 - 2011-10-25 12:47 - Louis Wentz

SPAM

Files

error_redmine_timetrack.txt 19.1 KB 2010-08-27 Mortitia Adams
